//
//  iOSAppDelegate.m
//  OffcnLiveSDK
//
//  Created by zhangyunjie on 07/26/2018.
//  Copyright (c) 2018 zhangyunjie. All rights reserved.
//

#import "iOSAppDelegate.h"
#import "iOSViewController.h"
#import "OffcnLiveSDK.h"

@implementation iOSAppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    
    self.window = [[UIWindow alloc]initWithFrame:[UIScreen mainScreen].bounds];
    UINavigationController *mainVC = [[UINavigationController alloc] initWithRootViewController:[[UIStoryboard storyboardWithName:@"Main" bundle:nil] instantiateInitialViewController]];
    mainVC.navigationBar.translucent = NO;
    self.window.rootViewController = mainVC;
    
    self.window.backgroundColor = [UIColor whiteColor];
    
    [self.window makeKeyAndVisible];
    
    //启动SDK
    [[OffcnLiveSDK defaultService] setupWithAppUrlSchemes:@"" imageType:OffcnImageType_e60012 buttonType:OffcnButtonTypeRadius isTest:YES eventCallBack:^(OffcnSDKEvent event, OffcnSDKEventLookCourseModel *lookCourseModel, OffcnSDKEventWechatAppletModel *wechatAppletModel) {
        
        if (event == OffcnSDKEventLookCourse) {
            //已购买商品触发事件去听课页查看课程
            NSLog(@"OffcnSDKEventLookCourse:%lu;sn:%@",(unsigned long)event,lookCourseModel.sn);
        }else if (event == OffcnSDKEventWechatApplet){
            //跳转微信小程序事件
            NSLog(@"OffcnSDKEventWechatApplet:%lu;urlString:%@;goodIDStr:%@",(unsigned long)event,wechatAppletModel.urlString,wechatAppletModel.goodIDStr);
        }
    }];

    
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

- (UIInterfaceOrientationMask)application:(UIApplication *)application supportedInterfaceOrientationsForWindow:(UIWindow *)window {
    if([OffcnLiveSDK defaultService].isFull){
        
        return UIInterfaceOrientationMaskAllButUpsideDown;
    }
    return UIInterfaceOrientationMaskPortrait;
}
@end
