/*
 * This file is part of the ZYJSDWebImage package.
 * (c) Olivier Poitrey <rs@dailymotion.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

#import <Foundation/Foundation.h>
#import "ZYJSDImageIOAnimatedCoder.h"

/**
 Built in coder using ImageIO that supports APNG encoding/decoding
 */
@interface ZYJSDImageAPNGCoder : ZYJSDImageIOAnimatedCoder <ZYJSDProgressiveImageCoder, ZYJSDAnimatedImageCoder>

@property (nonatomic, class, readonly, nonnull) ZYJSDImageAPNGCoder *sharedCoder;

@end
